Bug 509176 - AVC errors while printing to HP OfficeJet Pro L7780 (Foomatic/hpijs)
AVC errors while printing to HP OfficeJet Pro L7780 (Foomatic/hpijs)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 12:29 EDT by Tim Waugh
Modified: 2010-06-03 05:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 05:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2009-07-01 12:29:41 EDT
In bug #483395 comment #4 David Reed reported:
==>
My previous comment applied to a usb-connected HP printer.  However, I have
another HP printer (Officejet Pro L7780), and when I set that up I got
additional AVC errors on file open, write, and doing execmem calls when
printing the standard CUPS test page.

To reproduce that bug, set up a socket://machineIP:9100 connection to an HP
OfficeJet Pro L7780 using the CUPS interface.  The driver to use is the one
that comes with CUPS called HP OfficeJet Pro L7700 Foomatic/hpijs.

After the printer is set up, print the standard CUPS test page.  You will get
an AVC violation and page will fail to print correctly, with errors in the
printer log. After processing with audit2allow, etc. the local.te file I needed
to make a policy module that will fix both the above problem and this one is as
follows.  I would appreciate it if the Fedora SELinux crew could add this to
the hplip package.

-----------------
module local 1.0;

require {
 type unconfined_t;
 type security_t;
 type hplip_t;
 type user_home_t;
 type unconfined_execmem_t;
 class file { execmod open read };
 class capability2 mac_admin;
}

#============= hplip_t ==============
allow hplip_t security_t:file open;
allow hplip_t security_t:file read;

#============= unconfined_execmem_t ==============
allow unconfined_execmem_t user_home_t:file execmod;

#============= unconfined_t ==============
allow unconfined_t self:capability2 mac_admin;  
<==
Comment 1 Tim Waugh 2009-07-01 12:31:30 EDT
David, I haven't been able to reproduce this problem myself.  I only get the AVC messages reported in bug #507694 while adding the print queue (fetching the device list).

Can you please add the actual AVC messages you get, along with the errors you mentioned in the printer log?  Thanks.
Comment 2 Bug Zapper 2010-04-27 11:24:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Reed 2010-06-02 20:31:23 EDT
I can't reproduce this one anymore.
Comment 4 Tim Waugh 2010-06-03 05:06:05 EDT
OK, thanks for trying.

Note You need to log in before you can comment on or make changes to this bug.